<template>
  <div class="trilha">
    <div class="trilha_nome" @click="toggleShow()">
      <fa
        icon="angle-right" 
        class="trilha_nome_icone"
        :class="{trilha_nome_icone_focado : this.focado}"
      />
      <div class="trilha_nome_texto"> {{ trilha.nome }} </div>
    </div>

    <transition name="fade">
      <div class="trilha_container" v-if="this.focado">
        <modulo
          v-for="modulo of modulos"
          :key="modulo.id_modulo"
          :modulo="modulo"
        />
      </div>
    </transition>
  </div>
</template>

<script>
import Modulo from "@/components/Modulo.vue";

export default {
  props: ["trilha"],

  components: {
    Modulo
  },

  data() {
    return {
      focado: false,
      modulos: []
    };
  },

  async mounted() {
    this.modulos = await this.$axios.$get(
      `/modulos?id_trilha=eq.${this.trilha.id_trilha}`
    );
  },

  methods: {
    toggleShow() {
      this.focado = !this.focado;
    }
  }
};
</script>

<style lang="scss">
.trilha {
  margin: 1em;
  color: $primary-color;
}

.trilha_container {
  display: flex;
  flex-flow: column nowrap;

  padding: 0 0.5em;
  border-radius: 0.5em;
  background: $light-color;
}

.fade-enter-active,
.fade-leave-active {
  opacity: 1;
  transition: opacity 0.3s ease;
}

.fade-enter,
.fade-leave-to {
  opacity: 0;
}

.trilha_nome {
  display: flex;
  flex-flow: row nowrap;
  justify-content: flex-start;
  align-items: center;

  padding: 0 0 0.5em 1em;

  font-size: 20px;

  user-select: none;
  cursor: pointer;
}

.trilha_nome_texto {
  padding: 0.1em 0 0 0.3em;
  align-self: flex-end;
}

.trilha_nome_icone {
  transition: transform 0.3s ease-in-out;
}

.trilha_nome_icone_focado {
  transform: rotate(90deg);
}
</style>
